Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libpng-1.5.x entered stable - upgrade tips
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
modnaruved
n00b
n00b


Joined: 21 Mar 2011
Posts: 74

PostPosted: Wed Apr 10, 2013 8:52 pm    Post subject: Reply with quote

Kollin wrote:
For me icedtea-bin is the mfer:

equery d "=media-libs/libpng-1.5*:0"


I force to remove icedtea-bin and replace with dev-java/sun-jdk (temporary)

also unmask libpng with slotted spec:
Code:
media-libs/libpng:0             ~x86


now I have this output before upgrading:
Code:
sudo emerge -DutNa world                                                                                                     

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  rR    ] kde-base/ksplash-4.10.1
[ebuild  rR   ~] www-client/chromium-27.0.1453.12
[ebuild  rR    ] kde-base/kdelibs-4.10.1-r1
[nomerge       ] dev-lang/php-5.4.13-r3
[ebuild     U ~]  app-admin/eselect-php-0.7.1 [0.7.0]
[nomerge       ] www-client/chromium-27.0.1453.12
[ebuild     U ~]  media-libs/libwebp-0.3.0 [0.2.1-r1] USE="gif%* jpeg%* png%* tiff%* -swap-16bit-csp%"
[ebuild  rR   ~] x11-libs/gdk-pixbuf-2.26.5
[ebuild     U  ] net-misc/dhcp-4.2.5_p1 [4.2.4_p2]
[ebuild     U  ] media-libs/libdvdcss-1.2.13 [1.2.12]
[ebuild  r  U ~] media-libs/libpng-1.6.1 [1.5.15]

Back to top
View user's profile Send private message
Kollin
Veteran
Veteran


Joined: 25 Feb 2006
Posts: 1098
Location: Sofia/Bulgaria

PostPosted: Wed Apr 10, 2013 8:59 pm    Post subject: Reply with quote

modnaruved wrote:


now I have this output before upgrading:


Looks sane to me ;)
_________________
"Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment."
"Linux is like a wigwam - no windows, no gates, apache inside..."
Back to top
View user's profile Send private message
modnaruved
n00b
n00b


Joined: 21 Mar 2011
Posts: 74

PostPosted: Wed Apr 10, 2013 9:08 pm    Post subject: Reply with quote

Kollin wrote:
modnaruved wrote:


now I have this output before upgrading:


Looks sane to me ;)


but after run revdep-rebuild can be more exciting ;)

Too many long rebuilds for chromium and similar "lite apps" at recently week.
Back to top
View user's profile Send private message
Kollin
Veteran
Veteran


Joined: 25 Feb 2006
Posts: 1098
Location: Sofia/Bulgaria

PostPosted: Thu Apr 11, 2013 10:09 am    Post subject: Reply with quote

I can confirm taht removing icedtea-bin solves the dependency issue for me :D

modnaruved wrote:

but after run revdep-rebuild can be more exciting ;)

Too many long rebuilds for chromium and similar "lite apps" at recently week.


Yeah, a lot of packages to rebuild :wink:
_________________
"Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment."
"Linux is like a wigwam - no windows, no gates, apache inside..."
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1044
Location: /dev/koelsch

PostPosted: Thu Apr 11, 2013 3:10 pm    Post subject: Reply with quote

Removing the installed icedtea-bin package doesn't change anything for me, so I reinstalled it immediately after finding this out.

Then I only unmerged the blocking package (=media-libs/libpng-1.5*:0) with a:

Code:
emerge -Ca media-libs/libpng


which solves the case for me without unmasking/masking anything, but I'm on ~arch

Much success, for all of you.
Andy
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2105
Location: Finland

PostPosted: Thu Apr 11, 2013 7:16 pm    Post subject: Reply with quote

There is a problem with sys-apps/portage wrt http://bugs.gentoo.org/465356

Bottom line is that Portage should be able to autoresolve this but it doesn't, and it's being worked on.

Instead of `emerge -C libpng` I would suggest:

Code:

# emerge --nodeps --oneshot 'media-libs/libpng:0'


For now.

And if you are trying to avoid the new libpng to do the upgrade later, correct package.mask entry is:

Quote:

media-libs/libpng:1.5
>=media-libs/libpng-1.6


Or if you are trying to keyword latest libpng 1.5 without getting 1.6 yet, it should be done like this in package.keywords:

Quote:

<media-libs/libpng-1.6:0


Thanks,
Samuli
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1135

PostPosted: Fri Apr 12, 2013 12:22 am    Post subject: Reply with quote

Code:
 # eshowkw libpng
-------------+---------------------------+--------+-------
  1.2.50     | ~ + + ~ + + ~ o + + + + + | o 1.2  | gentoo
-------------+---------------------------+--------+-------
  1.5.13-r1  | + + + + + + ~ + + + + + + | o 0    | gentoo
  1.5.14     | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ | #      | gentoo
  1.5.15     | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ | o      | gentoo
-------------+---------------------------+--------+-------
  1.5.15-r15 | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ | o 1.5  | gentoo
-------------+---------------------------+--------+-------
[I]1.6.1     | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ | o 0/16 | gentoo

Producing a succession of slots:
1.2 then 0 then 1.5 then 0/16

Seems to me Gentoo developers gave too much freedom. Now Gentoo maintainers use this new field of subslots as their last resort to be unmathematical :)
_________________
fun2gen2
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2105
Location: Finland

PostPosted: Fri Apr 12, 2013 1:17 am    Post subject: Reply with quote

ulenrich wrote:
Seems to me Gentoo developers gave too much freedom. Now Gentoo maintainers use this new field of subslots as their last resort to be unmathematical :)


Seems to me you don't understand how slotting/subslotting works. SLOT could even be SLOT="randomletters" since it doesn't even have to contain numbers at all.

For libpng,

:0 is headers, pkg-config files, and .so symlinks for source based progs
:0/16 is same as :0 but with 16 coming from the current library SONAME (# objdump -p /usr/lib/libpng16.so.16 | grep SONAME) for triggering autorebuilds
:1.2 is libpng12.so.0 for binary-only progs
:1.5 is libpng15.so.15 for binary-only progs

But I guess you were only kidding. :P
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1135

PostPosted: Fri Apr 12, 2013 8:21 am    Post subject: Reply with quote

Very thanks for this cristal clear enlightenment!
(Seeing version "-r15" I guessed it works that way ... "eshowkw" is my friend)
_________________
fun2gen2
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2105
Location: Finland

PostPosted: Fri Apr 12, 2013 8:47 am    Post subject: Reply with quote

ulenrich wrote:
Very thanks for this cristal clear enlightenment!
(Seeing version "-r15" I guessed it works that way ... "eshowkw" is my friend)


The reason for -r15 in SLOT="1.5" was to make a gap between 1.5.15 from SLOT="0" in case there is, for example,
a security bug in 1.5.15 and we need to bump the SLOT="0" to 1.5.15-r1
And 1.5.15-r15 to 1.5.15-r16 in SLOT="1.5"

It could have been -r10, -r100, -r12345 but I picked random number -r15 since it seemed appropiate as matching both, the version and the SONAME

See, there is a reason for every move ;-)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7
Page 7 of 7

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum